Wallets
Wallets
curl -X GET "https://example.com/api/v1/admin/wallets"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/v1/admin/wallets/credit" \ -H "Content-Type: application/json" \ -d '{ "amount": 0, "currency": "string", "transaction_no": "string", "user_id": "string" }'Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/v1/admin/wallets/debit" \ -H "Content-Type: application/json" \ -d '{ "amount": 0, "currency": "string", "transaction_no": "string", "user_id": "string" }'Empty
curl -X GET "https://example.com/api/v1/admin/wallets/transactions"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
tx_id*string
Transaction ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
transaction_no*string
Response Body
curl -X POST "https://example.com/api/v1/admin/wallets/string/reversal" \ -H "Content-Type: application/json" \ -d '{ "transaction_no": "string" }'Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
user_id*string
User ID
Response Body
curl -X GET "https://example.com/api/v1/admin/wallets/string/transactions"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
user_id*string
User ID
currency*string
Currency code
Response Body
curl -X GET "https://example.com/api/v1/admin/wallets/string/string/transactions"Empty
curl -X GET "https://example.com/api/v1/wallets"Empty
curl -X GET "https://example.com/api/v1/wallets/transactions"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
currency*string
Currency code
Response Body
curl -X GET "https://example.com/api/v1/wallets/string"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
currency*string
Currency code
Response Body
curl -X GET "https://example.com/api/v1/wallets/string/transactions"Empty
